import { HourlyCardPropType } from "@/types/types"
import WeatherIcon from "./WeatherIcon"
import HourlyTemp from "./HourlyTemp"

export default function HourlyCard(props: HourlyCardPropType) {
    const weatherCode = props.weatherCode
    const temperature = props.temperature
    return (
        <div className="m-2 text-center shadow-md border-slate-200 border-2 rounded">
            <WeatherIcon weatherCode={weatherCode}/>
            <HourlyTemp temperature={temperature} />
        </div>
    )
};